#ifndef _TARTVERTEXMINOS_H_
#define _TARTVERTEXMINOS_H_

#include "TArtReconstruction.hh"
#include "TArtStoreManager.hh"

class TArtVertexMINOS : public TArtReconstruction {

public:
TArtVertexMINOS();
virtual ~TArtVertexMINOS();

void SetXv(Double_t pXv){Xv = pXv;}
void SetYv(Double_t pYv){Yv = pYv;}
void SetZv(Double_t pZv){Zv = pZv;}

void SetLtar(Double_t pltar){Ltar = pltar;}
void SetEloss(Double_t peloss){Eloss = peloss;}
void SetBetaV(Double_t pbeta){BetaVertex = pbeta;}

void ClearData();
void ReconstructData();
void ReconstructVertex();
void ReconstructBeta();


Double_t GetXv(){return Xv;}
Double_t GetYv(){return Yv;}
Double_t GetZv(){return Zv;}
Double_t GetZvCal(Double_t vdrift=1., Double_t timebin=10., Double_t offset=0.){return vdrift*(Zv*timebin-offset);}

Double_t GetLtar(){return Ltar;}
Double_t GetEloss(){return Eloss;}
Double_t GetBetaV(){return BetaVertex;}

private:
Double_t Xv;
Double_t Yv;
Double_t Zv;

Double_t Ltar;
Double_t Eloss;
Double_t BetaVertex;

  TArtStoreManager * sman;
};

#endif // end of #ifndef TARTTRACKMINOSDATA_H
